Subject: Re: linux-next: manual merge of the asm-generic tree with the mm tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 3 Nov 2023 08:34:02 +1100

Hi all,

On Mon, 18 Sep 2023 10:10:27 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the asm-generic tree got a conflict in:
> 
>   arch/ia64/kernel/setup.c
> 
> between commit:
> 
>   52f40d9a3c11 ("crash_core: change the prototype of function parse_crashkernel()")
> 
> from the mm tree and commit:
> 
>   cf8e8658100d ("arch: Remove Itanium (IA-64) architecture")
> 
> from the asm-generic tree.
> 
> I fixed it up (I removed the file) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

This is now a conflict between the mm-nonmm-stable tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell